<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.4.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button class="button" id="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Default_suite">
              <span class="suite-name border-passed">Default suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Default_suite">
                    <span>C:\Users\anchal.singh\AppData\Local\Temp\testng-eclipse--1471265909\testng-customsuite.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Default_suite">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Default_suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Default_suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Default_suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Default_suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Default_suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">8 methods,   8 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Default_suite" class="hide-methods passed suite-Default_suite"> (hide)</a> <!-- hide-methods passed suite-Default_suite -->
                      <a href="#" panel-name="suite-Default_suite" class="show-methods passed suite-Default_suite"> (show)</a> <!-- show-methods passed suite-Default_suite -->
                    </span>
                    <div class="method-list-content passed suite-Default_suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayAllFemaleUsers">displayAllFemaleUsers</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayAllUsersInCalifornia">displayAllUsersInCalifornia</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayAllUsersName">displayAllUsersName</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayBalanceOfMaleUsers">displayBalanceOfMaleUsers</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayFirstTwoUsers">displayFirstTwoUsers</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayLastTwoUsers">displayLastTwoUsers</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayTotalFriendsForFirstUser">displayTotalFriendsForFirstUser</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Default_suite" title="JsonAssignment" hash-for-method="displayUsersAgeBtwn">displayUsersAgeBtwn</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Default_suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Default_suite" class="panel Default_suite">
          <div class="suite-Default_suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">JsonAssignment</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="displayAllFemaleUsers">
                  </a> <!-- displayAllFemaleUsers -->
                  <span class="method-name">displayAllFemaleUsers</span>
                  <em>
(Display all female users)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayAllUsersInCalifornia">
                  </a> <!-- displayAllUsersInCalifornia -->
                  <span class="method-name">displayAllUsersInCalifornia</span>
                  <em>
(Display all users who lives in California)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayAllUsersName">
                  </a> <!-- displayAllUsersName -->
                  <span class="method-name">displayAllUsersName</span>
                  <em>
(Display all users name)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayBalanceOfMaleUsers">
                  </a> <!-- displayBalanceOfMaleUsers -->
                  <span class="method-name">displayBalanceOfMaleUsers</span>
                  <em>
(Display balance of male users)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayFirstTwoUsers">
                  </a> <!-- displayFirstTwoUsers -->
                  <span class="method-name">displayFirstTwoUsers</span>
                  <em>
(Display first two users only)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayLastTwoUsers">
                  </a> <!-- displayLastTwoUsers -->
                  <span class="method-name">displayLastTwoUsers</span>
                  <em>
(Display last two users only)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayTotalFriendsForFirstUser">
                  </a> <!-- displayTotalFriendsForFirstUser -->
                  <span class="method-name">displayTotalFriendsForFirstUser</span>
                  <em>
(Display total number of friends for first user)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="displayUsersAgeBtwn">
                  </a> <!-- displayUsersAgeBtwn -->
                  <span class="method-name">displayUsersAgeBtwn</span>
                  <em>
(Display all users whose age between 24 to 36)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Default_suite-class-passed -->
        </div> <!-- panel Default_suite -->
        <div panel-name="test-xml-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\anchal.singh\AppData\Local\Temp\testng-eclipse--1471265909\testng-customsuite.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;Default suite&quot;&gt;
  &lt;test thread-count=&quot;5&quot; verbose=&quot;2&quot; name=&quot;Default test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;JsonAssignment&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Default test --&gt;
&lt;/suite&gt; &lt;!-- Default suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Default test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Default_suite');
function tableData_Default_suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(8);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'displayAllUsersName')
data.setCell(0, 2, 'JsonAssignment')
data.setCell(0, 3, 42);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'displayAllFemaleUsers')
data.setCell(1, 2, 'JsonAssignment')
data.setCell(1, 3, 20);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'displayUsersAgeBtwn')
data.setCell(2, 2, 'JsonAssignment')
data.setCell(2, 3, 13);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'displayBalanceOfMaleUsers')
data.setCell(3, 2, 'JsonAssignment')
data.setCell(3, 3, 7);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'displayAllUsersInCalifornia')
data.setCell(4, 2, 'JsonAssignment')
data.setCell(4, 3, 4);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'displayFirstTwoUsers')
data.setCell(5, 2, 'JsonAssignment')
data.setCell(5, 3, 4);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'displayTotalFriendsForFirstUser')
data.setCell(6, 2, 'JsonAssignment')
data.setCell(6, 3, 3);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'displayLastTwoUsers')
data.setCell(7, 2, 'JsonAssignment')
data.setCell(7, 3, 3);
window.suiteTableData['Default_suite']= { tableData: data, tableDiv: 'times-div-Default_suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 96 ms</span>
              <div id="times-div-Default_suite">
              </div> <!-- times-div-Default_suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">JsonAssignment</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">readJsonFile</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-test before -->
              <div class="test-method">
                <span class="method-name">displayAllUsersName</span>
                <span class="method-start">73 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayAllFemaleUsers</span>
                <span class="method-start">120 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayFirstTwoUsers</span>
                <span class="method-start">140 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayLastTwoUsers</span>
                <span class="method-start">145 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayTotalFriendsForFirstUser</span>
                <span class="method-start">149 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayUsersAgeBtwn</span>
                <span class="method-start">154 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayBalanceOfMaleUsers</span>
                <span class="method-start">169 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">displayAllUsersInCalifornia</span>
                <span class="method-start">177 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
